
Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        '1-Dimensional Array.
        Dim arr1D As String() = {"John Hammond", "Mudassar Khan", "Suzanne Mathews", "Robert Schidner"}
        gv1D.DataSource = arr1D
        gv1D.DataBind()

        '2-Dimensional Array.
        Dim arr2D As String(,) = {
                                    {"John Hammond", "United States"},
                                    {"Mudassar Khan", "India"},
                                    {"Suzanne Mathews", "France"},
                                    {"Robert Schidner", "Russia"}
                                }

        Dim arrList As New ArrayList()
        For i As Integer = 0 To arr2D.GetLength(0) - 1
            arrList.Add(New ListItem(arr2D(i, 0), arr2D(i, 1)))
        Next
        gv2D.DataSource = arrList
        gv2D.DataBind()

        'Multi-Dimensional Array.
        Dim arrMultiD As String(,) = {
                                        {"1", "John Hammond", "United States"},
                                        {"2", "Mudassar Khan", "India"},
                                        {"3", "Suzanne Mathews", "France"},
                                        {"4", "Robert Schidner", "Russia"}
                                    }
        Dim dt As New DataTable()
        dt.Columns.AddRange(New DataColumn(2) {
                            New DataColumn("CustomerId"),
                            New DataColumn("Name"),
                            New DataColumn("Country")})

        For i As Integer = 0 To arrMultiD.GetLength(0) - 1
            dt.Rows.Add()
            dt.Rows(dt.Rows.Count - 1)("CustomerId") = arrMultiD(i, 0)
            dt.Rows(dt.Rows.Count - 1)("Name") = arrMultiD(i, 1)
            dt.Rows(dt.Rows.Count - 1)("Country") = arrMultiD(i, 2)
        Next
        gvMD.DataSource = dt
        gvMD.DataBind()
    End Sub
End Class

