using System;
using System.Collections;
using System.Web.UI.WebControls;

using System.Data;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //1-Dimensional Array.
        string[] arr1D = { "John Hammond", "Mudassar Khan", "Suzanne Mathews", "Robert Schidner" };
        gv1D.DataSource = arr1D;
        gv1D.DataBind();

        //2-Dimensional Array.
        string[,] arr2D = {
                            { "John Hammond", "United States" },
                            { "Mudassar Khan", "India" },
                            { "Suzanne Mathews", "France" },
                            { "Robert Schidner", "Russia" }
                        };

        ArrayList arrList = new ArrayList();
        for (int i = 0; i < arr2D.GetLength(0); i++)
        {
            arrList.Add(new ListItem(arr2D[i, 0], arr2D[i, 1]));
        }
        gv2D.DataSource = arrList;
        gv2D.DataBind();

        //Multi-Dimensional Array.
        string[,] arrMultiD = {
                                { "1", "John Hammond", "United States"},
                                { "2", "Mudassar Khan", "India"},
                                { "3", "Suzanne Mathews", "France"},
                                { "4", "Robert Schidner", "Russia"}
                            };

        DataTable dt = new DataTable();
        dt.Columns.AddRange(new DataColumn[3] { 
                                new DataColumn("CustomerId"), 
                                new DataColumn("Name"), 
                                new DataColumn("Country") 
                            });

        for (int i = 0; i < arrMultiD.GetLength(0); i++)
        {
            dt.Rows.Add();
            dt.Rows[dt.Rows.Count - 1]["CustomerId"] = arrMultiD[i, 0];
            dt.Rows[dt.Rows.Count - 1]["Name"] = arrMultiD[i, 1];
            dt.Rows[dt.Rows.Count - 1]["Country"] = arrMultiD[i, 2];
        }
        gvMD.DataSource = dt;
        gvMD.DataBind();
    }
}
